diff --git a/dev-php/PEAR-File_IMC/Manifest b/dev-php/PEAR-File_IMC/Manifest
new file mode 100644
index 0000000..ecbd6fd
--- /dev/null
+++ b/dev-php/PEAR-File_IMC/Manifest
@@ -0,0 +1,3 @@
+DIST File_IMC-0.4.2.tgz 32175 RMD160 68e4f8be1029878d998e3063e69a1fb7e50a2c30 SHA1 1bd08487126ce0e29a6115236951ba0d80c9bb94 SHA256 cc432919adf35c5efc2468b95656a590adb80470a7bdc6a049145bf01b9a6c78
+EBUILD PEAR-File_IMC-0.4.2.ebuild 321 RMD160 9af6f6e1ee7f7554e4b44ce8b16e2e15c46c2177 SHA1 bff1e9dd0889f058081dc10c6eb70189fdb3af7e SHA256 f66382553acf19c4f7ffc4e1a9a1183792a8a030d1ea96adf341c33509b3fc6c
+MISC metadata.xml 157 RMD160 a98db3a086fae3c09a903dadbc05f60443ec4b1a SHA1 ddaa23cc35eb917bf8962b652442bebb1ce0f440 SHA256 54f8878ca0228e380abbaa4b529806b5533a6b9b51b3b16c0909e906586a91a1
diff --git a/dev-php/PEAR-File_IMC/PEAR-File_IMC-0.4.2.ebuild b/dev-php/PEAR-File_IMC/PEAR-File_IMC-0.4.2.ebuild
new file mode 100644
index 0000000..94a52d6
--- /dev/null
+++ b/dev-php/PEAR-File_IMC/PEAR-File_IMC-0.4.2.ebuild
@@ -0,0 +1,11 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit php-pear-r1
+
+DESCRIPTION="Create and parse Internet Mail Consortium-style files (like vCard and vCalendar)"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
+IUSE=""
diff --git a/dev-php/PEAR-File_IMC/metadata.xml b/dev-php/PEAR-File_IMC/metadata.xml
new file mode 100644
index 0000000..fd3dbe3
--- /dev/null
+++ b/dev-php/PEAR-File_IMC/metadata.xml
@@ -0,0 +1,5 @@
+
+
+
+ php
+
diff --git a/eclass/github-snapshot.eclass b/eclass/github-snapshot.eclass
new file mode 100644
index 0000000..7fd56ef
--- /dev/null
+++ b/eclass/github-snapshot.eclass
@@ -0,0 +1,34 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+# @ECLASS: github-snapshot.eclass
+# @MAINTAINER:
+# mgorny@gentoo.org
+# @BLURB: support eclass for github snapshots
+# @DESCRIPTION:
+# This eclass provides a support src_unpack() implementation handling
+# ${S} moves required by github-generated snapshots.
+# @EXAMPLE:
+#
+# @CODE
+# EAPI=4
+# inherit github-snapshot
+#
+# SRC_URI="http://github.com/example/${PN}/tarball/${P} -> ${P}.tar.gz"
+# @CODE
+
+case ${EAPI:-0} in
+ 0|1) die "EAPI ${EAPI} unsupported.";;
+ 2|3|4) ;;
+ *) die "github-snapshot.eclass API in EAPI ${EAPI} not yet established."
+esac
+
+EXPORT_FUNCTIONS src_unpack
+
+github-snapshot_src_unpack() {
+ default
+
+ # at least username-projectname-hash
+ mv *-*-[0-9a-f]*[0-9a-f]/ "${S}" || die
+}
diff --git a/www-apps/zarafa-carddav/Manifest b/www-apps/zarafa-carddav/Manifest
new file mode 100644
index 0000000..bd57b4d
--- /dev/null
+++ b/www-apps/zarafa-carddav/Manifest
@@ -0,0 +1,3 @@
+AUX 60_zarafa-carddav.conf 104 RMD160 6e25a60c6791e94c6c2cf2cf7bd8e6cd35749479 SHA1 51dfe442b71ce0d153db18d504decf4cc4058b91 SHA256 36df29603620131ca180d7c085617dd0afc9ba20eef986d3c052e6afffa8e7a8
+DIST zarafa-carddav-0.1.tar.gz 8395 RMD160 876b4f85f21588ac63fdf3c454377a6b47e5c60a SHA1 972d63653c9b008033cc7702272c691e0f017d8d SHA256 7f36bfa1bd3b49d60ea69cbca5e0e570cce7d348459652fd3a0cbcd1fb734101
+EBUILD zarafa-carddav-0.1.ebuild 793 RMD160 ed50cb1c56d44c5a6db644cc44846036deb90259 SHA1 01c2beccbc619f59cb6fdd94b58263681dce2c40 SHA256 90204f511d882c7153ee3253c0ff11f21debad9ad7fe7974b56101fa6c4ab0aa
diff --git a/www-apps/zarafa-carddav/files/60_zarafa-carddav.conf b/www-apps/zarafa-carddav/files/60_zarafa-carddav.conf
new file mode 100644
index 0000000..fe0a07f
--- /dev/null
+++ b/www-apps/zarafa-carddav/files/60_zarafa-carddav.conf
@@ -0,0 +1,3 @@
+
+ Alias /carddav /usr/share/zarafa-webaccess/zarafa_carddav.php
+
diff --git a/www-apps/zarafa-carddav/metadata.xml b/www-apps/zarafa-carddav/metadata.xml
new file mode 100644
index 0000000..8106142
--- /dev/null
+++ b/www-apps/zarafa-carddav/metadata.xml
@@ -0,0 +1,8 @@
+
+
+
+ web-apps
+
+ mario.fetka@gmail.com
+
+
diff --git a/www-apps/zarafa-carddav/zarafa-carddav-0.1.ebuild b/www-apps/zarafa-carddav/zarafa-carddav-0.1.ebuild
new file mode 100644
index 0000000..db1cc53
--- /dev/null
+++ b/www-apps/zarafa-carddav/zarafa-carddav-0.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit depend.php github-snapshot
+
+DESCRIPTION="A CardDAV interface for Zarafa"
+HOMEPAGE="https://github.com/LevelbossMike/Zarafa_Carddav"
+SRC_URI="https://download.github.com/LevelbossMike-Zarafa_Carddav-a140752.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+SLOT="0"
+
+DEPEND=""
+RDEPEND="|| ( =dev-lang/php-5.3 )"
+
+need_php_httpd
+
+src_install() {
+ dodoc README.md
+
+ insinto /etc/apache2/modules.d
+ newins "${FILESDIR}/60_zarafa-carddav.conf" 60_zarafa-carddav.conf || die "Failed to install apache config files"
+
+ insinto /usr/share/zarafa-webaccess
+ doins zarafa_carddav.php
+}